Summary:	LTTng Trace Control
Summary(pl.UTF-8):	Sterowanie śledzeniem LTTng
Name:		lttng-tools
Version:	2.3.1
Release:	1
License:	LGPL v2.1+ (library), GPL v2 (tools)
Group:		Libraries
Source0:	http://lttng.org/files/lttng-tools/%{name}-%{version}.tar.bz2
# Source0-md5:	67787993a8ed87653eb9c483be565468
Patch0:		%{name}-python.patch
URL:		http://lttng.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.10
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libuuid-devel
BuildRequires:	lttng-ust-devel >= 2.3.0
BuildRequires:	popt-devel >= 1.13
BuildRequires:	python-devel
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	swig-python >= 2.0.0
BuildRequires:	userspace-rcu-devel >= 0.7.2
Requires:	popt >= 1.13
Requires:	userspace-rcu >= 0.7.2
Requires:	uname(release) >= 2.6.27
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LTTng Trace Control library and utilities.

%description -l pl.UTF-8
Biblioteka i narzędzia do sterowania śledzeniem LTTng.

%package devel
Summary:	Header files for LTTng control library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki sterującej LTTng
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libuuid-devel
Requires:	popt-devel >= 1.13
Requires:	userspace-rcu-devel >= 0.7.2

%description devel
Header files for LTTng control library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki sterującej LTTng.

%package static
Summary:	Static LTTng control library
Summary(pl.UTF-8):	Statyczna biblioteka sterująca LTTng
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LTTng control library.

%description static -l pl.UTF-8
Statyczna biblioteka sterująca LTTng.

%package -n python-lttng
Summary:	Python binding for LTTng
Summary(pl.UTF-8):	Wiązanie Pythona do LTTng
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-lttng
Python binding for LTTng.

%description -n python-lttng -l pl.UTF-8
Wiązanie Pythona do LTTng.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
# NOTE: DON'T replace /usr/lib* with %{_libdir} in configure options!
%configure \
	--disable-silent-rules \
	--enable-python-bindings \
	--with-babeltrace-bin=/usr/bin/babeltrace \
%ifnarch alpha ia64
	--with-consumerd32-bin=/usr/lib/lttng/libexec/lttng-consumerd \
	--with-consumerd32-libdir=/usr/lib \
%endif
%ifarch %{ix86} %{x8664} ppc ppc64 s390 s390x sparc sparcv9 sparc64
	--with-consumerd64-bin=/usr/lib64/lttng/libexec/lttng-consumerd \
	--with-consumerd64-libdir=/usr/lib64 \
%endif
	--with-lttv-gui-bin=/usr/bin/lttv-gui

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# library *.la kept - missing Requires.private

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/_lttng.{la,a}
%py_postclean

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/lttng-tools

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README TODO doc/{calibrate,quickstart,streaming-howto}.txt
%attr(755,root,root) %{_bindir}/lttng
%attr(755,root,root) %{_bindir}/lttng-relayd
%attr(755,root,root) %{_bindir}/lttng-sessiond
%attr(755,root,root) %{_libdir}/liblttng-ctl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblttng-ctl.so.0
%dir %{_libdir}/lttng
%dir %{_libdir}/lttng/libexec
%attr(755,root,root) %{_libdir}/lttng/libexec/lttng-consumerd
%{_mandir}/man1/lttng.1*
%{_mandir}/man8/lttng-relayd.8*
%{_mandir}/man8/lttng-sessiond.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblttng-ctl.so
%{_libdir}/liblttng-ctl.la
%{_includedir}/lttng/lttng.h
%{_includedir}/lttng/lttng-error.h
%{_includedir}/lttng/snapshot.h
%{_pkgconfigdir}/lttng-ctl.pc
%{_mandir}/man3/lttng-health-check.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/liblttng-ctl.a

%files -n python-lttng
%defattr(644,root,root,755)
%doc doc/python-howto.txt
%attr(755,root,root) %{py_sitedir}/_lttng.so
%{py_sitescriptdir}/lttng.py[co]
%changelog
* Sat Nov 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lttng-tools.git;a=log;h=master

* Sat Nov 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 396b9af
- updated to 2.3.1

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 29c7206
- updated to 2.3.0

* Sun Sep 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 76919ec
- updated to 2.2.4

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> ee9f8d4
- updated to 2.2.2

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> ad796f3
- new

